{
  "name": "test-log",
  "processings": [
    "0d565c87-50ae-4a73-843d-f8b2d4047772",
    "2ce0323f-a85d-4b8b-a783-5280f48d634a"
  ],
  "datacenters": [
    "7b989e97-c3e7-49d2-a3a7-f959da4870b5"
  ],
  "graph": {
    "items": {
      "aa8d2265-9fe2-42c7-ba1f-46ea0da8e633": {
        "id": "aa8d2265-9fe2-42c7-ba1f-46ea0da8e633",
        "width": 0,
        "height": 0,
        "processing": {
          "id": "0d565c87-50ae-4a73-843d-f8b2d4047772",
          "resource_model": {
            "resource_type": "processing",
            "model": {
              "command": {
                "type": "string",
                "value": "curlimages/curl:7.88.1"
              },
              "args": {
                "type": "string",
                "value": "-SL https://toulousefc.com -o /mnt/vol/tfc.hmtl"
              }
            }
          },
          "name": "CURL",
          "short_description": "Transfer or retrieve information from or to a server ",
          "description": "curl  is  a tool for transferring data from or to a server. It supports these protocols: DICT, FILE, FTP, FTPS, GOPHER, GOPHERS,  HTTP,  HTTPS, IMAP,  IMAPS,  LDAP,  LDAPS, MQTT, POP3, POP3S, RTMP, RTMPS, RTSP, SCP, SFTP, SMB, SMBS, SMTP, SMTPS, TELNET, TFTP, WS and WSS.",
          "logo": "https://cloud.o-forge.io/core/deperecated-oc-catalog/src/branch/main/scripts/local_imgs/curl-logo.png",
          "owner": "IRT",
          "source_url": "http://www.google.com",
          "license": "GPLv2",
          "ram": {},
          "storage": 300,
          "parallel": true,
          "scaling_model": 2,
          "disk_io": "30 MB/s"
        }
      },
      "b6f790ae-5db2-4458-8375-59450f12f65b": {
        "id": "b6f790ae-5db2-4458-8375-59450f12f65b",
        "width": 0,
        "height": 0,
        "processing": {
          "id": "2ce0323f-a85d-4b8b-a783-5280f48d634a",
          "resource_model": {
            "resource_type": "processing",
            "model": {
              "command": {
                "type": "string",
                "value": "alpine:3.7 sh -c"
              },
              "args": {
                "type": "string",
                "value": "grep '<meta name=\"description\"' /mnt/vol/tfc.html | awk -F 'content=\"' '{print $2}' | awk -F '\"' '{print $1}'"
              }
            }
          },
          "name": "alpine",
          "short_description": "A minimal Docker image ",
          "description": "Alpine Linux is a Linux distribution built around musl libc and BusyBox. The image is only 5 MB in size and has access to a package repository that is much more complete than other BusyBox based images. This makes Alpine Linux a great image base for utilities and even production applications",
          "logo": "https://cloud.o-forge.io/core/deperecated-oc-catalog/src/branch/main/scripts/local_imgs/alpine-logo.png",
          "owner": "IRT",
          "source_url": "http://www.google.com",
          "license": "GPLv2",
          "ram": {},
          "storage": 300,
          "parallel": true,
          "scaling_model": 2,
          "disk_io": "30 MB/s"
        }
      },
      "6a7e8860-7c26-4b70-9b3a-1bd27adcdfe1": {
        "id": "6a7e8860-7c26-4b70-9b3a-1bd27adcdfe1",
        "width": 0,
        "height": 0,
        "datacenter" : {
          "id": "7b989e97-c3e7-49d2-a3a7-f959da4870b5",
          "name": "Mundi datacenter",
          "short_description": "Mundi Opencloud Instance",
          "description": "A very long description of what this data is",
          "logo": "https://cloud.o-forge.io/core/deperecated-oc-catalog/src/branch/main/scripts/local_imgs/Mundi datacenter.png",
          "owner": "IRT",
          "source_url": "http://www.google.com",
          "resource_model": {
            "id": "c3983010-1990-4ac0-8533-5389867e4424",
            "resource_type": "datacenter_resource"
          },
          "cpus": [
            {
              "cores": 8,
              "architecture": "x86"
            }
          ],
          "ram": {
            "size": 16384
          },
          "gpus": [
            {
              "cuda_cores": 10496,
              "model": "RTX 3090 FE",
              "memory": 24000,
              "tensor_cores": 328
            }
          ]
        } 
      }
    },
    "links": [
      {
        "source": {
          "id": "aa8d2265-9fe2-42c7-ba1f-46ea0da8e633"
        },
        "destination": {
          "id": "b6f790ae-5db2-4458-8375-59450f12f65b"
        }
      },
      {
        "source": {
          "id": "aa8d2265-9fe2-42c7-ba1f-46ea0da8e633"
        },
        "destination": {
          "id": "6a7e8860-7c26-4b70-9b3a-1bd27adcdfe1"
        }
      },
      {
        "source": {
          "id": "6a7e8860-7c26-4b70-9b3a-1bd27adcdfe1"
        },
        "destination": {
          "id": "b6f790ae-5db2-4458-8375-59450f12f65b"
        }
      }
    ]
  }
}